%define name raine
%define oname Raine
%define summary The Raine arcade emulator
%define version 0.50.5
%define distsuffix plf
%define release %mkrel 1

%define build_optimization 0
%{?_with_optimization: %{expand: %%global build_optimization 1}}

%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
#Epoch: 0

License: Freeware
#i.e: "Raine license", open-source freeware, distributable
Group: Emulators
URL: http://www.rainemu.com/
Source0: http://www.rainemu.com/html/archive/%{name}s-%{version}.tar.bz2
Source1: http://www.rainemu.com/html/archive/icons.zip
Source2: http://www.rainemu.com/html/archive/rainedocs.zip
Source3: http://www.rainemu.com/html/archive/raine.pdf
# From 0.50.3
Source4: shots.pl
Source5: http://www.arcade-history.com/dats/mamehistory114.zip
# free rom
Source10: http://www.rainemu.com/html/archive/f2demo.zip
Source11: http://www.rainemu.com/html/archive/f3demo.zip
#artwork from : http://www.rainemu.com/html/download/extras.html
Source100: 1941.zip
Source101: 19xx.zip
Source102: arbalest.zip
Source103: arkanoid.zip
Source104: arknoid2.zip
Source105: batrider.zip
Source106: bjtwin.zip
Source107: block.zip
Source108: darius2.zip
Source109: ddonpach.zip
Source110: dfeveron.zip
Source111: dkong.zip
Source112: dogyuun.zip
Source113: donpachi.zip
Source114: downtown.zip
Source115: driftout.zip
Source116: extrmatn.zip
Source117: fireshrk.zip
Source118: frogger.zip
Source119: ghoulsu.zip
Source120: gunbird.zip
Source121: majest12.zip
Source122: matmania.zip
Source123: mercs.zip
Source124: msh.zip
Source125: mspacman.zip
Source126: msword.zip
Source127: ninjaw.zip
Source128: outzone.zip
Source129: pacman.zip
Source130: pacplus.zip
Source131: pengo.zip
Source132: puckman.zip
Source133: s1945.zip
Source134: sf2ce.zip
Source135: slammast.zip
Source136: ssi.zip
Source137: superman.zip
Source138: tdragon.zip
Source139: terracre.zip
Source140: thunderl.zip
Source141: tknight.zip
Source142: tndrcade.zip
Source143: varth.zip
Source144: vimana.zip
Source145: warriorb.zip
Source146: xmcota.zip

Source200: http://www.rainemu.com/html/archive/emudx/dkongg.dx2
Source201: http://www.rainemu.com/html/archive/emudx/froggerg.dx2
Source202: http://www.rainemu.com/html/archive/emudx/galdxg.dx2
Source203: http://www.rainemu.com/html/archive/emudx/mspacmang.dx2
Source204: http://www.rainemu.com/html/archive/emudx/pacmang.dx2
Source205: http://www.rainemu.com/html/archive/emudx/dkongm.dx2
Source206: http://www.rainemu.com/html/archive/emudx/froggerm.dx2
Source207: http://www.rainemu.com/html/archive/emudx/galdxm.dx2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: SDL1.2-devel
BuildRequires: png-devel
BuildRequires: nasm perl dos2unix unzip

Obsoletes: %{name}-snapshots

%description
Raine is an emulator, it emulates some M68000 and M68020 arcade games
and is mainly focused on Taito and Jaleco games hardware.

This package is in PLF because of its license that does not clearly permit
commercial distribution as a part of a Linux distribution.

%package artwork
Summary: Artwork for Raine
Group: Emulators
Requires: %{name}

%description artwork
Artwork for Raine. These files are pictures used mainly to fill the ugly 
black borders in vertical games.

This package is in PLF because it depends on raine, that doesn't clearly permit
commercial distribution as a part of a Linux distribution.

%package emudx2
Summary: Files to enhance emulation of old arcade games in raine
Group: Emulators
Requires: %{name}
Obsoletes: %{name}-emudx
Provides: %{name}-emudx

%description emudx2
Files to enhance emulation of old arcade games.
Donkey Kong, Frogger, Galaxian, Pac-Man and Ms. Pac-Man are suported.

It requires the roms to be enhanced and the raine emulator.

This package is in PLF because it depends on raine, that doesn't clearly permit
commercial distribution as a part of a Linux distribution.

%prep
%setup -q 
%setup -q -n %{name}-%{version} -T -D -a 1 -a 2
cp -p %{SOURCE3} %{SOURCE4} .
unzip %{SOURCE5}

%build
%if !%build_optimization
 rm -f $RPM_BUILD_DIR/%{name}-%{version}/cpuinfo
 echo "_MARCH=-march=i586 -mtune=pentiumpro" > $RPM_BUILD_DIR/%{name}-%{version}/cpuinfo
 echo "CPU=pentiumpro" >> $RPM_BUILD_DIR/%{name}-%{version}/cpuinfo 
%else
 rm -f $RPM_BUILD_DIR/%{name}-%{version}/cpuinfo
%endif
export OSTYPE
make %{?_smp_mflags}
make converter

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#savegame converter
install -D -m 755 converter %{buildroot}%{_gamesbindir}/%{name}-savegame-converter

#history
install -D -m 644 history.dat %{buildroot}%{_gamesdatadir}/%{name}/history.dat

#icons
install -D -m 644 %{oname}48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{oname}32X32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{oname}16X16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
 command="%{_gamesbindir}/%{name}"\
 needs="X11"\
 section="More Applications/Emulators"\
 icon="%{name}.png"\
 title="%{oname}"\
 longtitle="%{summary}"\
 xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Game" \
  --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ $RPM_BUILD_ROOT%{_datadir}/applications/*

#artwork
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/artwork
install -m 644 %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103}\
 %{SOURCE104} %{SOURCE105} %{SOURCE106} %{SOURCE107} %{SOURCE108}\
 %{SOURCE109} %{SOURCE110} %{SOURCE111} %{SOURCE112} %{SOURCE113}\
 %{SOURCE114} %{SOURCE115} %{SOURCE116} %{SOURCE117} %{SOURCE118}\
 %{SOURCE119} %{SOURCE120} %{SOURCE121} %{SOURCE122} %{SOURCE123}\
 %{SOURCE124} %{SOURCE125} %{SOURCE126} %{SOURCE127} %{SOURCE128}\
 %{SOURCE129} %{SOURCE130} %{SOURCE131} %{SOURCE132} %{SOURCE133}\
 %{SOURCE134} %{SOURCE135} %{SOURCE136} %{SOURCE137} %{SOURCE138}\
 %{SOURCE139} %{SOURCE140} %{SOURCE141} %{SOURCE142} %{SOURCE143}\
 %{SOURCE144} %{SOURCE145} %{SOURCE146}\
 "%{buildroot}%{_gamesdatadir}/%{name}/artwork"

#emudx
install -d -m 755 %{buildroot}%{_gamesdatadir}%/{name}/emudx
install -m 644 %{SOURCE200} %{SOURCE201} %{SOURCE202} %{SOURCE203} %{SOURCE204}\
 %{SOURCE205} %{SOURCE206} %{SOURCE207} %{buildroot}%{_gamesdatadir}/%{name}/emudx

%files
%defattr(0644,root,root,0755)
%doc raine.txt raine.pdf raine.lyx shots.pl
%attr(0755,root,root) %{_gamesbindir}/%{name}
%attr(0755,root,root) %{_gamesbindir}/%{name}-savegame-converter
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/cheats.cfg
%{_gamesdatadir}/%{name}/hiscore.dat
%{_gamesdatadir}/%{name}/history.dat
%{_gamesdatadir}/%{name}/bitmaps
%{_gamesdatadir}/%{name}/fonts
%{_gamesdatadir}/%{name}/roms
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files artwork
%defattr(0644,root,root,0755)
%doc raine.txt
%{_gamesdatadir}/%{name}/artwork

%files emudx2
%defattr(0644,root,root,0755)
%doc raine.txt
%{_gamesdatadir}/%{name}/emudx

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 0.50.5-1plf2008.0
- 0.50.5

* Tue May 15 2007 Guillaume Bedot <littletux@zarb.org> 0.50.4-1plf2008.0
- 0.50.4
- description updates

* Fri Apr 13 2007 Guillaume Bedot <littletux@zarb.org> 0.50.3-1plf2007.1
- 0.50.3
- old saved games (<0.50.0) can be migrated with raine-savegame-converter
- raine has now his own history.dat
- dropped the wrapper, bigfont.dat (no more used), snapshots subpackage (low 
 res, no more wanted)
- but added a tool to download new screenshots (in doc dir) :
 use it from ~/.raine
- emudx2.

* Tue Aug 22 2006 Guillaume Bedot <littletux@zarb.org> 0.43.4-1plf2007.0
- 0.43.4

* Fri Jul 19 2006 Guillaume Bedot <littletux@zarb.org> 0.43.3-3plf2007.0
- fix builrequires, space instead of tabs

* Thu Jun 15 2006 Guillaume Bedot <littletux@zarb.org> 0.43.3-2plf2007.0
- Added patch3 for optflags in cooker / 2007 (0.43.3 needs -O1 in cooker)
- Dropped useless patch2
- Changed a bit cpuinfo (_MARCH) with default build
- XDG menu

* Sun May 28 2006 Guillaume Bedot <littletux@zarb.org> 0.43.3-1plf
- 0.43.3
- Use standard mkrel
- Dropped obsolete patch10
- Buildrequires libpng devel

* Thu Sep 22 2005 Guillaume Bedot <littletux@zarb.org> 0.43.2-2plf
- removed KNOWN_BUGS file
- require allegro 4.2

* Thu Sep 22 2005 Guillaume Bedot <littletux@zarb.org> 0.43.2-1plf
- new release

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 0.43.1-2plf
- reup

* Sun Sep 18 2005 Guillaume Bedot <littletux@zarb.org> 0.43.1-1plf
- new release
- added subpackage with artwork
- use mkrel
- fixed rom files listed twice
- fixed build requires
- updated patch 10.

* Tue Jul 26 2005 Guillaume Bedot <littletux@zarb.org> 0.42.4-3plf
- Build with new allegro-testing ( 4.2.0 beta4 )
- force build with gcc 3.3 (otherwise there are speed limit issues)
- (Patch10: fixes to build with gcc4)

* Thu Apr 14 2005 Guillaume Bedot <littletux@zarb.org> 0.42.4-2plf
- Rebuilt against allegro-testing to fix a bug
- Renamed README.urpmi into KNOWN_BUGS

* Sun Apr 03 2005 Guillaume Bedot <littletux@zarb.org> 0.42.4-1plf
- Release 0.42.4
- README.urpmi to help workaround an annoying bug with rom dirs config in 
 the gui

* Thu Dec 09 2004 Guillaume Bedot <littletux@zarb.org> 0.42.3-1plf
- Release 0.42.3
- Added free f2demo rom for testing purposes.

* Sat Nov 27 2004 Guillaume Bedot <littletux@zarb.org> 0.42.2-1plf
- Release 0.42.2 (adds CPS-2 support:)
- Fixes compiling with stable allegro, and more

* Thu Sep  9 2004 Guillaume Bedot <littletux@zarb.org> 0.41.1-1plf
- New release 0.41.1 - now DX files should work.

* Tue Sep  7 2004 Guillaume Bedot <littletux@zarb.org> 0.41.0-1plf
- New release 0.41.0 - dropped svgalib makefile patch (now included)

* Wed Sep  1 2004 Guillaume Bedot <littletux@zarb.org> 0.40.5-1plf
- New release 0.40.5

* Mon Jun 14 2004 Guillaume Bedot <littletux@zarb.org> 0.40.4-1plf
- New release 0.40.4

* Tue Jun 08 2004 Guillaume Bedot <littletux@zarb.org> 0.40.3-1plf
- New release 0.40.3
- Optional optimization ("--with optimization")

* Wed Apr 14 2004 Guillaume Bedot <littletux@zarb.org> 0.40.0-1plf
- Updated to 0.40.0
- Default build optimized for pentiumpro and not pentium

* Sat Jan 03 2004 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.38.1-1plf
- Updated to 0.38.1
- Updated directory for history.dat to sync with xmame/mess 0.77.1 package

* Sat Apr 12 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.37.3-1plf
- Re-packed for PLF

* Sat Apr  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.37.3-0.fdr.1
- Update to current Fedora guidelines.

* Wed Feb 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.37.3-1.fedora.1
- First Fedora release.
